#!/usr/bin/python

import subprocess 
import os

data = open('/etc/ntp.conf').readlines()

if os.path.exists('/var/lib/ntp/ntp.conf.dhcp'):
    os.unlink('/var/lib/ntp/ntp.conf.dhcp')

server_name_list = list()
for line in data:
    if line.strip().startswith('server '):
        server_name =  line.strip().split(' ')[1].strip()
        if server_name.startswith('127.'):
            continue
        server_name_list.append(server_name)

for server in server_name_list:
    try:
        subprocess.check_output(['ntpdate', '-b', '-u', server], stderr=subprocess.STDOUT)
        break
    except Exception as e:
        print e

subprocess.check_output(['service', 'ntp', 'restart'], stderr=subprocess.STDOUT)
